Skip to content

aeppic HTTP Api ​

List of all aeppic api endpoints. The api is versioned using the url path and is generated during the build process by fastify

Version: 3.206.19 ​

/ ​

GET ​

Description ​

The root of the api

Responses ​
CodeDescriptionSchema
200Default Response{ "version": string, "loaded": dateTime }

/_ping ​

GET ​

Description ​

Check the server status with a ping request.

Responses ​
CodeDescriptionSchema
200Default Response{ "pong": dateTime }

/auth/access ​

POST ​

Summary ​

JWT Issuance for Authenticated User

Description ​

Issue a JWT based on provided scopes for an already authenticated user

Parameters ​
NameLocated inDescriptionRequiredSchema
bodybodyNo{ "scopes": [ string ] }
Responses ​
CodeDescriptionSchema
200Default Response{ "token": string }
400Invalid request bodystring
401User not authenticated or invalid scopesstring
500JWT issuance failedstring

/packages/{packageIdentifier}/_list ​

GET ​

Summary ​

Returns a plain text of newline seperated file paths inside the package.

Description ​

Lists the files inside a package

Parameters ​
NameLocated inDescriptionRequiredSchema
packageIdentifierpathThe full package identifier based on the id of the package document and it's version seperated by @. Example 945a852b-1573-4783-963a-3f638081c48e@initialYesstring
Responses ​
CodeDescriptionSchema
200A list of files inside the package, seperated by newlines (\n)string
304The package has not changed since the last request. The client can use the cached version of the package.string

/statics/_list ​

GET ​

Summary ​

Returns a json object with a list of all static files and their hashes.

Description ​

All static files served by the server for the web app can be listed with this endpoint. It can be used by a service worker to precache all static files.

Responses ​
CodeDescriptionSchema
200A json object with a list of all static files and their hashes.string
304The list has not changed since the last request. The client can use the cached version of the list.string

/features/ ​

GET ​

Summary ​

Returns a json object for all configured features

Description ​

All available and configured features

Responses ​
CodeDescriptionSchema
200A list of features namespaces and their configurationobject
304The list has not changed since the last request. The client can use the cached version of the list.string

/features/namespaces/ ​

GET ​

Summary ​

Returns a json object for all configured features

Description ​

All available and configured features in a namespace

Parameters ​
NameLocated inDescriptionRequiredSchema
namespacepathThe full namespace of the features to readYesstring
Responses ​
CodeDescriptionSchema
200A list of features namespaces and their configurationobject
304The list has not changed since the last request. The client can use the cached version of the list.string